freebsd-ports/astro/squeuer/pkg-install
Greg Lewis 64740c8f28 . Add a port of SQueuer, a queueing proxy for Seti@Home:
SQueuer is a queueing proxy for Seti@Home with the following features:

* Keeps a configurable sized queue of work units so that
  the client will always be able to get a new work unit
  immediately upon finishing one.

* Queues results for uploading should the main Seti@Home
  site be overloaded or down. Results are never lost and the
  client is never delayed waiting to upload a result.

* Can handle multiple users running the Seti@Home client
  on multiple machines all connecting to SQueuer.

* Platform independent. SQueuer has been tested and found
  to work on different versions of Unix, MacOS and Windows.
  All it requires is a Perl 5 interpreter.
2003-08-13 17:35:21 +00:00

35 lines
676 B
Bash

#!/bin/sh
# $FreeBSD: /tmp/pcvs/ports/astro/squeuer/Attic/pkg-install,v 1.1 2003-08-13 17:35:21 glewis Exp $
#
if [ "$2" != "PRE-INSTALL" ]; then
exit 0
fi
USER=squeuer
GROUP=${USER}
UID=96
GID=${UID}
if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
if pw groupadd ${GROUP} -g ${GID}; then
echo "Added group \"${GROUP}\"."
else
echo "Adding group \"${GROUP}\" failed..."
exit 1
fi
fi
if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
-s "/bin/sh" -d "/nonexistent" \
-c "SQueuer Owner"; \
then
echo "Added user \"${USER}\"."
else
echo "Adding user \"${USER}\" failed..."
exit 1
fi
fi
exit 0